# Configuration file

##########################################################################################################
# changes
#--------------------------------------------------------------------------------------------------------#
# Changes to existing content.
##########################################################################################################

changes {
    # Adds a packet to send the attackedAtYaw field value to the client, which allows the screen to tilt based on where damage came from, and either left or right for direction-less sources like drowning or burning, instead of tilting to the left no matter what. [default: true]
    B:enableAttackedAtYawFix=true

    # Dead Bushes drop sticks [default: true]
    B:enableBushSticks=true

    # Backports recipe buffs to doors (from 1 to 3) [default: true]
    B:enableDoorRecipeBuffs=true

    # Fences, gates and dead bushes burn [default: true]
    B:enableExtraBurnableBlocks=true

    #  [default: true]
    B:enableFloatingTrapDoors=true

    # If true, fall damage on a hay bale will be reduced [default: true]
    B:enableHayBaleFalls=true

    # Allows blocks like hay bales, leaves etc to mine faster with hoes [default: true]
    B:enableHoeMining=true

    #  [default: true]
    B:enableShearableCobwebs=true

    # Mushroom blocks can be silk-touched [default: true]
    B:enableSilkMushroom=true

    # Skulls drop from charged creeper kills [default: true]
    B:enableSkullDrop=true

    # Makes mossy, cracked and chiseled stone brick craftable [default: true]
    B:enableStoneBrickRecipes=true

    # Use updated food values [default: true]
    B:enableUpdatedFood=true

    # Packed Ice, ladders and melons have preferred tools [default: true]
    B:enableUpdatedHarvestLevels=true

    # Fixes fireworks not being able to have an extra duration without a star, and they'll output 3 instead of 1. Note: This currently does NOT update NEI, it'll still show the old recipe outputs. [default: true]
    B:fireworkRecipeFixes=true

    # If enableHayBaleFalls is true, what percent should we keep for the fall damage? [range: 0 ~ 99, default: 20]
    I:hayBaleReducePercent=20

    # Click a mob spawner with a vanilla or EFR egg, and it'll change the mob inside. Doesn't support modded eggs. [default: true]
    B:mobSpawnerEgging=true
}


##########################################################################################################
# client
#--------------------------------------------------------------------------------------------------------#
# Client-side settings or changes.
##########################################################################################################

client {
    # Bows render pulling animation in inventory [default: true]
    B:enableBowRendering=true

    # Enables NBT tag count and item namespace label on F3 + H debug item labels [default: true]
    B:enableExtraF3HTooltips=true

    # Skulls render 3D in inventory [default: true]
    B:enableFancySkulls=true

    # Enable the /fill command. [default: true]
    B:enableFillCommand=true

    # Enable the new F3+F4 gamemode switcher from 1.16+ [default: true]
    B:enableGamemodeSwitcher=true

    # Replaces some lang keys with a more modern version, such as calling some old wood items "oak", calling beds "Red Bed", and so on. Full list of replaced keys can be seen in the mod jar at resources/resourcepacks/vanilla_overrides/assets/minecraft/lang [default: true]
    B:enableLangReplacements=true

    # Make F3 only show/hide info on release, and not if another key is pressed [default: true]
    B:enableNewF3Behavior=true

    # Replace tall grass and sponge textures with modern version [default: true]
    B:enableNewTextures=true

    # Allows use of 1.8 skin format, and Alex skins. Also includes some fixes from SkinPort. (Per SkinPort author's permission) Disable if skin is displaying oddly. Not compatible with OptiFine, use FastCraft instead. [default: false]
    B:enablePlayerSkinOverlay=false

    # Enable subtitles [default: false]
    B:enableSubtitles=false

    # Allow non-opaque armour [default: true]
    B:enableTransparentAmour=true

    # Render beds with a 3D inventory model instead of a 2D sprite. [default: true]
    B:inventoryBedModels=true

    # The maximum amount of items a Shulker box can display on its tooltip. When the box has more stacks inside than this number, the rest of the stacks are displayed as "And x more...". Set to 0 to disable Shulker Box tooltips. [range: 0 ~ 127, default: 5]
    I:shulkerBoxTooltipLines=5

    # Regex of subtitles to blacklist [default: ^(dig\.*)]
    S:subtitleBlacklist=^(dig\.*)
}


##########################################################################################################
# settings
#--------------------------------------------------------------------------------------------------------#
# Settings for Et Futurum content.
##########################################################################################################

settings {
    # The data watcher flag for the Elytra, used to sync the elytra animation with other players. In vanilla the max value is 7, players use 0-4, so you can set this to 6 or 7 by default. ASJCore increases the max value to 31.
    # Do not change this value if you don't need to, or do not know what you're doing. [range: 0 ~ 31, default: 7]
    I:elytraDataWatcherFlag=7

    # Seeks all available smeltable ores, metals, etc (using OreDict tags like "ore", "cluster", "ingot", etc) from the furnace and adds them to the Blast Furnace, if it's off it will only smelt things specified from CraftTweaker. [default: true]
    B:enableAutoAddBlastFurnace=true

    # Seeks compostable items like plants and leaves, and automatically adds them to the composter. If this is off it will only compost things specified from CraftTweaker and nothing by default. [default: true]
    B:enableAutoAddComposter=true

    # Seeks all available edible foods from the furnace and adds them to the smoker, if it's off it will only smelt things specified from CraftTweaker. [default: true]
    B:enableAutoAddSmoker=true

    # Set to true to disable the fireproof item entity Netherite/ancient debris etc uses [default: false]
    B:enableNetheriteFlammable=false

    # Recipe for prismarine if you want it without the temples, or want it craftable alongside temples. [default: true]
    B:enablePrismarineRecipes=true

    # Recipe for totems since there's no other way to get them currently. [default: false]
    B:enableRecipeForTotem=false

    # OreDictionary values for ore blocks that should drop extra items (2-3) instead of the usual one, before fortune. [default: [oreCopper], [oreTin]]
    S:extraDropRawOres <
        oreCopper
        oreTin
     >

    # Register the raw ore items in the OreDictionary as if they were the actual ore block. Such as raw iron being registered as an iron ore, etc...
    # Turn this off if you have an ore dictionary converter mod or experience other issues. [default: true]
    B:registerRawItemAsOre=true

    # Things (namespaced:id) that should not go inside a Shulker Box. Used to ensure recursive storage, book banning and data overloads with certain items can be stopped. A default list is provided, but it might not cover everything so be sure to check with the mods you have. Be sure to check the default list for this frequently, it will be updated frequently. [default: [adventurebackpack:adventureBackpack], [arsmagica2:essenceBag], [arsmagica2:runeBag], [betterstorage:backpack], [betterstorage:cardboardBox], [betterstorage:thaumcraftBackpack], [BiblioCraft:item.BigBook], [Botania:baubleBox], [Botania:flowerBag], [cardboardboxes:cbCardboardBox], [dendrology:fullDrawers1], [dendrology:fullDrawers2], [dendrology:fullDrawers4], [dendrology:halfDrawers2], [dendrology:halfDrawers4], [DQMIIINext:ItemMahounoTutu11], [DQMIIINext:ItemOokinaFukuro], [DQMIIINext:ItemOokinaFukuroB], [DQMIIINext:ItemOokinaFukuroG], [DQMIIINext:ItemOokinaFukuroR], [DQMIIINext:ItemOokinaFukuroY], [ExtraSimple:bedrockium], [ExtraSimple:bedrockiumBlock], [ExtraSimple:goldenBag], [ExtraSimple:lasso], [ExtraUtilities:bedrockiumIngot], [ExtraUtilities:block_bedrockium], [ExtraUtilities:golden_bag], [ExtraUtilities:golden_lasso], [Forestry:adventurerBag], [Forestry:adventurerBagT2], [Forestry:apiaristBag], [Forestry:builderBag], [Forestry:builderBagT2], [Forestry:diggerBag], [Forestry:diggerBagT2], [Forestry:foresterBag], [Forestry:foresterBagT2], [Forestry:hunterBag], [Forestry:hunterBagT2], [Forestry:lepidopteristBag], [Forestry:minerBag], [Forestry:minerBagT2], [HardcoreEnderExpansion:charm_pouch], [ImmersiveEngineering:toolbox], [ironbackpacks:basicBackpack], [ironbackpacks:diamondBackpack], [ironbackpacks:goldBackpack], [ironbackpacks:ironBackpack], [JABBA:mover], [JABBA:moverDiamond], [MagicBees:backpack.thaumaturgeT1], [MagicBees:backpack.thaumaturgeT2], [minecraft:writable_book], [minecraft:written_book], [MineFactoryReloaded:plastic.bag], [MineFactoryReloaded:safarinet.reusable], [MineFactoryReloaded:safarinet.singleuse], [OpenBlocks:devnull], [ProjectE:item.pe_alchemical_bag], [ProjRed|Exploration:projectred.exploration.backpack], [sgs_treasure:dread_pirate_chest], [sgs_treasure:iron_chest], [sgs_treasure:locked_wooden_chest], [sgs_treasure:obsidian_chest], [sgs_treasure:pirate_chest], [sgs_treasure:wither_chest], [sgs_treasure:wooden_chest], [StorageDrawers:compDrawers], [StorageDrawers:fullCustom1], [StorageDrawers:fullCustom2], [StorageDrawers:fullCustom4], [StorageDrawers:fullDrawers1], [StorageDrawers:fullDrawers2], [StorageDrawers:fullDrawers4], [StorageDrawers:halfCustom2], [StorageDrawers:halfCustom4], [StorageDrawers:halfDrawers2], [StorageDrawers:halfDrawers4], [StorageDrawersBop:fullDrawers1], [StorageDrawersBop:fullDrawers1], [StorageDrawersBop:fullDrawers2], [StorageDrawersBop:fullDrawers2], [StorageDrawersBop:fullDrawers4], [StorageDrawersBop:fullDrawers4], [StorageDrawersBop:halfDrawers2], [StorageDrawersBop:halfDrawers2], [StorageDrawersBop:halfDrawers4], [StorageDrawersBop:halfDrawers4], [StorageDrawersForestry:fullDrawers1A], [StorageDrawersForestry:fullDrawers2A], [StorageDrawersForestry:fullDrawers4A], [StorageDrawersForestry:halfDrawers2A], [StorageDrawersForestry:halfDrawers4A], [StorageDrawersNatura:fullDrawers1], [StorageDrawersNatura:fullDrawers2], [StorageDrawersNatura:fullDrawers4], [StorageDrawersNatura:halfDrawers2], [StorageDrawersNatura:halfDrawers4], [Thaumcraft:FocusPouch], [ThaumicTinkerer:ichorPouch], [thebetweenlands:lurkerSkinPouch], [warpbook:warpbook], [witchery:brewbag], [WitchingGadgets:item.WG_Bag]]
    S:shulkerBans <
        adventurebackpack:adventureBackpack
        arsmagica2:essenceBag
        arsmagica2:runeBag
        betterstorage:backpack
        betterstorage:cardboardBox
        betterstorage:thaumcraftBackpack
        BiblioCraft:item.BigBook
        Botania:baubleBox
        Botania:flowerBag
        cardboardboxes:cbCardboardBox
        dendrology:fullDrawers1
        dendrology:fullDrawers2
        dendrology:fullDrawers4
        dendrology:halfDrawers2
        dendrology:halfDrawers4
        DQMIIINext:ItemMahounoTutu11
        DQMIIINext:ItemOokinaFukuro
        DQMIIINext:ItemOokinaFukuroB
        DQMIIINext:ItemOokinaFukuroG
        DQMIIINext:ItemOokinaFukuroR
        DQMIIINext:ItemOokinaFukuroY
        ExtraSimple:bedrockium
        ExtraSimple:bedrockiumBlock
        ExtraSimple:goldenBag
        ExtraSimple:lasso
        ExtraUtilities:bedrockiumIngot
        ExtraUtilities:block_bedrockium
        ExtraUtilities:golden_bag
        ExtraUtilities:golden_lasso
        Forestry:adventurerBag
        Forestry:adventurerBagT2
        Forestry:apiaristBag
        Forestry:builderBag
        Forestry:builderBagT2
        Forestry:diggerBag
        Forestry:diggerBagT2
        Forestry:foresterBag
        Forestry:foresterBagT2
        Forestry:hunterBag
        Forestry:hunterBagT2
        Forestry:lepidopteristBag
        Forestry:minerBag
        Forestry:minerBagT2
        HardcoreEnderExpansion:charm_pouch
        ImmersiveEngineering:toolbox
        ironbackpacks:basicBackpack
        ironbackpacks:diamondBackpack
        ironbackpacks:goldBackpack
        ironbackpacks:ironBackpack
        JABBA:mover
        JABBA:moverDiamond
        MagicBees:backpack.thaumaturgeT1
        MagicBees:backpack.thaumaturgeT2
        minecraft:writable_book
        minecraft:written_book
        MineFactoryReloaded:plastic.bag
        MineFactoryReloaded:safarinet.reusable
        MineFactoryReloaded:safarinet.singleuse
        OpenBlocks:devnull
        ProjectE:item.pe_alchemical_bag
        ProjRed|Exploration:projectred.exploration.backpack
        sgs_treasure:dread_pirate_chest
        sgs_treasure:iron_chest
        sgs_treasure:locked_wooden_chest
        sgs_treasure:obsidian_chest
        sgs_treasure:pirate_chest
        sgs_treasure:wither_chest
        sgs_treasure:wooden_chest
        StorageDrawers:compDrawers
        StorageDrawers:fullCustom1
        StorageDrawers:fullCustom2
        StorageDrawers:fullCustom4
        StorageDrawers:fullDrawers1
        StorageDrawers:fullDrawers2
        StorageDrawers:fullDrawers4
        StorageDrawers:halfCustom2
        StorageDrawers:halfCustom4
        StorageDrawers:halfDrawers2
        StorageDrawers:halfDrawers4
        StorageDrawersBop:fullDrawers1
        StorageDrawersBop:fullDrawers1
        StorageDrawersBop:fullDrawers2
        StorageDrawersBop:fullDrawers2
        StorageDrawersBop:fullDrawers4
        StorageDrawersBop:fullDrawers4
        StorageDrawersBop:halfDrawers2
        StorageDrawersBop:halfDrawers2
        StorageDrawersBop:halfDrawers4
        StorageDrawersBop:halfDrawers4
        StorageDrawersForestry:fullDrawers1A
        StorageDrawersForestry:fullDrawers2A
        StorageDrawersForestry:fullDrawers4A
        StorageDrawersForestry:halfDrawers2A
        StorageDrawersForestry:halfDrawers4A
        StorageDrawersNatura:fullDrawers1
        StorageDrawersNatura:fullDrawers2
        StorageDrawersNatura:fullDrawers4
        StorageDrawersNatura:halfDrawers2
        StorageDrawersNatura:halfDrawers4
        Thaumcraft:FocusPouch
        ThaumicTinkerer:ichorPouch
        thebetweenlands:lurkerSkinPouch
        warpbook:warpbook
        witchery:brewbag
        WitchingGadgets:item.WG_Bag
     >

    # Percentage of max health for totem to set you at if you die with it. (5% is 0.05, 20 * 0.05 = 1, 1 health is one half-heart) [range: 5 ~ 100, default: 5]
    I:totemHealPercent=5

    # Whether deepslate blocks should have the same hardness as their stone counterparts. This allows the asthetics of deepslate without the added hardness. [default: false]
    B:useStoneHardnessForDeepslate=false
}


##########################################################################################################
# update_checker
#--------------------------------------------------------------------------------------------------------#
# Category solely for the update checker, to make it easier to find and disable for those who don't want it.
##########################################################################################################

update_checker {
    # Check and print a chat message in-game if there's a new update available? [default: true]
    B:enableUpdateChecker=true
}


